libgssapi3-heimdal_7.5.0+dfsg-2.1_amd64.deb


Advertisement

Description

libgssapi3-heimdal - Heimdal Kerberos - GSSAPI support library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package name libgssapi3-heimdal
Package version 7.5.0+dfsg
Package release 2.1
Package architecture amd64
Package type deb
Installed size 321 B
Download size 119.92 KB
Official Mirror ftp.br.debian.org
Heimdal is a free implementation of Kerberos 5 that aims to be
compatible with MIT Kerberos.
This package contains the library for GSSAPI support.

Alternatives

Package Version Architecture Repository
libgssapi3-heimdal_7.5.0+dfsg-2.1_i386.deb 7.5.0+dfsg i386 Debian Main
libgssapi3-heimdal - - -

Requires

Name Value
libasn1-8-heimdal >= 1.4.0+git20110226
libc6 >= 2.14
libcom-err2 >= 1.43.9
libhcrypto4-heimdal >= 1.4.0+git20110226
libheimntlm0-heimdal >= 1.4.0+git20110226
libkrb5-26-heimdal >= 1.6~git20131117
libroken18-heimdal >= 1.4.0+git20110226

Conflicts

Name Value
libgssapi3 -

Download

Type URL
Binary Package libgssapi3-heimdal_7.5.0+dfsg-2.1_amd64.deb
Source Package heimdal

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgssapi3-heimdal deb package:
    # sudo apt-get install libgssapi3-heimdal

Files

Path
/usr/lib/x86_64-linux-gnu/libgssapi.so.3
/usr/lib/x86_64-linux-gnu/libgssapi.so.3.0.0
/usr/share/doc/libgssapi3-heimdal/changelog.Debian.gz
/usr/share/doc/libgssapi3-heimdal/changelog.gz
/usr/share/doc/libgssapi3-heimdal/copyright
/usr/share/lintian/overrides/libgssapi3-heimdal

Changelog

2018-10-28 - Hilko Bengen <bengen@debian.org>
heimdal (7.5.0+dfsg-2.1) unstable; urgency=medium
* Non-maintainer upload
* Add patch to create headers before building (Closes: 906623)
2018-06-02 - Brian May <bam@debian.org>
heimdal (7.5.0+dfsg-2) unstable; urgency=medium
* Replace "MAXHOSTNAMELEN" with "MaxHostNameLen" in kdc/kx509.c for The
Hurd. Closes: #900079.
2017-12-15 - Dominik George <nik@naturalnet.de>
heimdal (7.5.0+dfsg-1) unstable; urgency=high
* New upstream version. (Closes: #850723)
+ CVE-2017-17439: Remote unauthenticated DoS in Heimdal-KDC 7.4
(Closes: #878144, #868157)
+ Refresh patches.
* Bump Standards-Version to 4.1.2 and compat level to 10.
+ Remove explicit reference to dh-autoreconf.
* Use uscan to get orig source.
+ Refrain from mangling some bundled RFC texts;
just exclude the mas they are not installed into any binary anyway.
+ Update d/copyright to DEP-5.
+ Can now use standard uscan/gbp/pristine-tar workflow.
* Fix some lintian errors/warnings.
+ Strip trailing whitespace from changelog.
+ Fix some duplicate long descriptions.
+ Use optional priority everywhere.
+ Update/remove some overrides.
+ Enforce set -e in maintainer scripts.
+ Enable hardening.
* Migrate to -dbgsym.
* Add myself to uploaders.
2017-07-23 - Brian May <bam@debian.org>
heimdal (7.4.0.dfsg.1-2) unstable; urgency=medium
[ Jelmer Vernooij ]
* Remove myself from uploaders.
[ Brian May ]
* Be explicit with heimdal.mkey filename in postinst. Closes: #868638.
* Tests should respect DEB_BUILD_OPTIONS=nocheck.  Closes: #868842.
2017-07-15 - Brian May <bam@debian.org>
heimdal (7.4.0.dfsg.1-1) unstable; urgency=high
* New upstream version.
* Update standards version to 4.0.0.
* CVE-2017-11103: Fix Orpheus' Lyre KDC-REP service name validation.
(Closes: #868208).
2017-04-26 - Brian May <bam@debian.org>
heimdal (7.1.0+dfsg-13) unstable; urgency=medium
* Add missing symbols base64_decode and base64_encode back into
libroken. Closes: #848694.
2017-04-10 - Brian May <bam@debian.org>
heimdal (7.1.0+dfsg-12) unstable; urgency=high
* Fix transit path validation CVE-2017-6594.
2017-04-08 - Brian May <bam@debian.org>
heimdal (7.1.0+dfsg-11) unstable; urgency=medium
* Remove legacy provides/conflicts/replaces headers. Old daemons
such as ftp have been removed. Closes: #236902, #859664.
2017-01-08 - Jelmer Vernooij <jelmer@debian.org>
heimdal (7.1.0+dfsg-9) unstable; urgency=medium
* Switch back to collab-maint URL until pkg-heimdal permissions are
fixed, switch to HTTPS Git URL. Closes: #850652
* Fix regression in krb5-config introduced by canonical_host patch.
Closes: #850653
2017-01-08 - Jelmer Vernooij <jelmer@debian.org>
heimdal (7.1.0+dfsg-8) experimental; urgency=medium
* Re-enable build on MIPS.

See Also

Package Description
libgssdp-1.0-3_1.0.2-4_amd64.deb GObject-based library for SSDP
libgssdp-1.0-dev_1.0.2-4_amd64.deb GObject-based library for SSDP (development files)
libgssdp-doc_1.0.2-4_all.deb GObject-based library for SSDP (documentation)
libgssglue-dev_0.4-2+b2_amd64.deb header files and docs for libgssglue
libgssglue1_0.4-2+b2_amd64.deb mechanism-switch gssapi library
libgssrpc4_1.17-2_amd64.deb MIT Kerberos runtime libraries - GSS enabled ONCRPC
libgstreamer-gl1.0-0_1.14.4-1_amd64.deb GStreamer GL libraries
libgstreamer-ocaml-dev_0.2.0-2+b3_amd64.deb OCaml interface to the gstreamer library -- development files
libgstreamer-ocaml_0.2.0-2+b3_amd64.deb OCaml interface to the gstreamer library -- runtime files
libgstreamer-opencv1.0-0_1.14.4-1+b1_amd64.deb GStreamer OpenCV libraries
libgstreamer-plugins-bad1.0-0_1.14.4-1+b1_amd64.deb GStreamer libraries from the "bad" set
libgstreamer-plugins-bad1.0-dev_1.14.4-1+b1_amd64.deb GStreamer development files for libraries from the "bad" set
libgstreamer-plugins-base1.0-0_1.14.4-1_amd64.deb GStreamer libraries from the "base" set
libgstreamer-plugins-base1.0-dev_1.14.4-1_amd64.deb GStreamer development files for libraries from the "base" set
libgstreamer1-perl_0.003-3_all.deb Bindings for GStreamer 1.0, the open source multimedia framework
Advertisement
Advertisement